# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/battle-message-ui-handler.ts:12

#####
Index

### Constructors

constructor

### Properties

active
awaitingActionInput
bg
commandWindow
cursor
levelUpStatsContainer
levelUpStatsIncrContent
levelUpStatsValuesContent
message
mode
movesWindowContainer
nameBox
nameBoxContainer
nameText
onActionInput
pendingPrompt
prompt
scene
textCallbackTimer
textTimer
tutorialActive

### Methods

clear
clearText
getCursor
getIvDescriptor
getTextColor
getUi
hideNameText
processInput
processTutorialInput
promptIvs
promptLevelUpStats
setCursor
setup
show
showDialogue
showNameText
showPrompt
showText

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/battle-message-ui-handler.ts:24

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### bg

bg: Image

- Defined in src/ui/battle-message-ui-handler.ts:19

### commandWindow

commandWindow: NineSlice

- Defined in src/ui/battle-message-ui-handler.ts:20

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` levelUpStatsContainer

levelUpStatsContainer: Container

- Defined in src/ui/battle-message-ui-handler.ts:13

### `Private` levelUpStatsIncrContent

levelUpStatsIncrContent: Text

- Defined in src/ui/battle-message-ui-handler.ts:14

### `Private` levelUpStatsValuesContent

levelUpStatsValuesContent: BBCodeText

- Defined in src/ui/battle-message-ui-handler.ts:15

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### movesWindowContainer

movesWindowContainer: Container

- Defined in src/ui/battle-message-ui-handler.ts:21

### `Private` nameBox

nameBox: NineSlice

- Defined in src/ui/battle-message-ui-handler.ts:16

### nameBoxContainer

nameBoxContainer: Container

- Defined in src/ui/battle-message-ui-handler.ts:22

### `Private` nameText

nameText: Text

- Defined in src/ui/battle-message-ui-handler.ts:17

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` textCallbackTimer

textCallbackTimer: TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/battle-message-ui-handler.ts:155

### clearText

- clearText(): void

- #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:189

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getIvDescriptor

- getIvDescriptor(value, typeIv, pokemonId): string

- #### Parameters

  - value: number
  - typeIv: number
  - pokemonId: number

  #### Returns string

  - Defined in src/ui/battle-message-ui-handler.ts:233

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### hideNameText

- hideNameText(): void

- #### Returns void

  - Defined in src/ui/battle-message-ui-handler.ts:270

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/battle-message-ui-handler.ts:140

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### promptIvs

- promptIvs(pokemonId, ivs, shownIvsCount): Promise<void>

- #### Parameters

  - pokemonId: number
  - ivs: number[]
  - shownIvsCount: number

  #### Returns Promise<void>

  - Defined in src/ui/battle-message-ui-handler.ts:195

### promptLevelUpStats

- promptLevelUpStats(partyMemberIndex, prevStats, showTotals): Promise<void>

- #### Parameters

  - partyMemberIndex: number
  - prevStats: number[]
  - showTotals: boolean

  #### Returns Promise<void>

  - Defined in src/ui/battle-message-ui-handler.ts:169

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from default.setCursor

  - Defined in src/ui/ui-handler.ts:46

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/battle-message-ui-handler.ts:28

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/battle-message-ui-handler.ts:130

### showDialogue

- showDialogue(text, name, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - name: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showDialogue

  - Defined in src/ui/battle-message-ui-handler.ts:164

### showNameText

- showNameText(name): void

- #### Parameters

  - name: string

  #### Returns void

  - Defined in src/ui/battle-message-ui-handler.ts:264

### showPrompt

- showPrompt(callback, callbackDelay): void

- #### Parameters

  - callback: Function
  - callbackDelay: number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:154

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/battle-message-ui-handler.ts:159